Effectuer un retrait depuis le portefeuille NGN
curl --request POST \
--url https://sandbox.inflowafrica.com/api/v1/wallets/ngn/withdraw \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountNumber": "0123456789",
"bankCode": "058",
"accountName": "John Doe",
"amount": 10000
}
'import requests
url = "https://sandbox.inflowafrica.com/api/v1/wallets/ngn/withdraw"
payload = {
"accountNumber": "0123456789",
"bankCode": "058",
"accountName": "John Doe",
"amount": 10000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accountNumber: '0123456789',
bankCode: '058',
accountName: 'John Doe',
amount: 10000
})
};
fetch('https://sandbox.inflowafrica.com/api/v1/wallets/ngn/withdraw', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference": "<string>",
"amount": 123,
"fee": 50,
"totalDebited": 123,
"currency": "NGN",
"status": "SUCCESS",
"providerReference": "<string>",
"accountNumber": "<string>",
"bankCode": "<string>",
"accountName": "<string>"
}
}Portefeuilles
Effectuer un retrait depuis le portefeuille NGN
Transfère des fonds depuis le portefeuille NGN de l’organisation vers un compte bancaire nigérian. Des frais fixes de 50 NGN sont prélevés par retrait, en plus du montant demandé. Les deux montants sont débités de façon atomique avant le lancement du virement bancaire.
POST
/
v1
/
wallets
/
ngn
/
withdraw
Effectuer un retrait depuis le portefeuille NGN
Autorisations
Saisissez votre clé API commençant par gtw_sk_
Corps
application/json
Numéro de compte bancaire du bénéficiaire
Exemple:
"0123456789"
Code bancaire CBN (par ex. « 058 » pour GTBank)
Exemple:
"058"
Nom du compte du bénéficiaire pour vérification
Exemple:
"John Doe"
Montant à retirer en NGN (hors frais)
Exemple:
10000
Réponse
Retrait initié
Show child attributes
Show child attributes
⌘I